%define upstream_name    SQL-ReservedWords
%define upstream_version 0.7

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Reserved SQL words by PostgreSQL
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/SQL/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Test::More)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch

%description
Determine if words are reserved by ANSI/ISO SQL standard.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/sqlrw
/usr/share/man/man1/sqlrw.1.xz



%changelog
* Wed Jun 22 2011 jquelin <jquelin> 0.700.0-1.mga2
+ Revision: 112170
- imported package perl-SQL-ReservedWords


* Wed Jun 22 2011 cpan2dist 0.7-1mga
- initial mageia release, generated with cpan2dist
